Developpez.com

Plus de 2 000 forums
et jusqu'à 5 000 nouveaux messages par jour

jQuery 1.8.1 est disponible

Le , par danielhagnoul, Rédacteur
Cette première version de maintenance corrige les bogues découverts juste après la sortie de la version 1.8.0.

L'équipe de développement rappelle aux développeurs qu'ils doivent tester les versions bêta et la version candidate sans attendre la sortie de la version finale pour se manifester.

Pour être compatible avec jQuery 1.8.1, il convient d'utiliser jQuery UI 1.8.23 et jQuery Mobile 1.1.1 ou des versions ultérieures.

N'oubliez pas d'utiliser un doctype valide : <!doctype html>. La majorité des problèmes viennent des développeurs qui veulent respecter les standards, mais qui utilisent un doctype erroné ou qui écrivent d'autres instructions avant la balise <html>. Le comportement de jQuery dans le "Quirks mode" est inconnu car il n'est jamais testé par l'équipe de développement.

La documentation officielle sur l'API jQuery est toujours bloquée sur la version 1.7 ! Un nouveau site de documentation serait en préparation, mais voir sortir deux versions de jQuery sans disposer de la documentation idoine devient très inconfortable.

Pour écrire un sélecteur personnalisé, le module Sizzle dispose d'une documentation sur Github.



Si vous trouvez d'autres embryons de la documentation sur l'API jQuery 1.8.X, je vous invite à poster les liens dans cette discussion, afin que tous puissent en bénéficier.

Pour la liste complète des corrections, changements et modifications, voir l'article source.

Serveur de code : http://code.jquery.com/jquery-1.8.1.min.js

Source


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de alex_vino alex_vino - Membre émérite https://www.developpez.com
le 03/09/2012 à 13:15
Cool,

Mais ils sont marrant chez jQuery, s'ils publient une version finale c'est qu'elle est censée etre fonctionelle, pas la peine de blamer les développeurs.

C'est dommage que la direction de jQuery ne soit pas aussi sérieuse que leur outil, car non seulement il y a les problemes de documentation mais aussi d'autres problemes important, comme il y a plusieurs mois ils avaient supprimés par mégarde une partie de leur site (notamment plugins) et qu'ils n'avaient meme pas de sauvegarde...

Par contre leur librairie + version UI + version mobile est du grand art (outre les bug de la 1.8.0).
Avatar de LSMetag LSMetag - Membre expert https://www.developpez.com
le 04/09/2012 à 12:02
Justement les versions beta et RC sont prévues pour les développeurs, pour permettre la correction de bugs que les concepteurs ne peuvent pas forcément imaginer (faut être à l'ouest pour penser qu'un développeur peut imaginer tous les cas d'utilisation possibles des utilisateurs de par le monde).

Donc oui le rôle du développeur est d'utiliser au moins les RC, qui sont potentiellement finales, donc déja stables, dans le but de gommer les derniers bugs et permettre la finalisation du produit. Un développeur ne développe jamais en production donc ce n'est pas un soucis.

Sinon, manque de sérieux à propos de la doc. Pour pouvoir commencer à utiliser quelque chose, il faut une doc adaptée. Peut-être leur manque-t-il de la main d'oeuvre pour ça.
Offres d'emploi IT
Architecte technique des systèmes d'information H/F
Safran - Ile de France - Évry (91090)
Spécialiste systèmes informatiques qualité et référent procédure H/F
Safran - Ile de France - Colombes (92700)
Ingénieur analyste programmeur (H/F)
Safran - Auvergne - Montluçon (03100)

Voir plus d'offres Voir la carte des offres IT
Responsable bénévole de la rubrique JavaScript : Xavier Lecomte -